go-ring API Reference
OpenapiAuthentication

Start or continue OAuth sign-in

Starts an OAuth authorization session and requests an authorization code. Redirects may continue an existing sign-in session.

GET
/oauth/v2/authorize

Query Parameters

redirect_uri?string
Formaturi
Default"https://ring.com/signin/callback"
client_id?string
response_type?"code"

Value in

  • "code"
prompt?string

The implemented PKCE flow sends login; other OAuth prompts may exist.

state?string
scope?string

The implemented client requests the client scope.

code_challenge?string
code_challenge_method?"S256"

Value in

  • "S256"
device_model?string
app_version?string
dark_mode?boolean

Boolean serialized as a query string.

device_brand?string
device_os_version?string
app_brand?string
hardware_id?string

Response Body

text/html

application/json

curl -X GET "https://example.com/oauth/v2/authorize"
"string"